;
; Asterisk configuration file
;
; Module Loader configuration file
;

[modules]
autoload=no
;
; Any modules that need to be loaded before the Asterisk core has been
; initialized (just after the logger has been initialized) can be loaded
; using 'preload'. This will frequently be needed if you wish to map all
; module configuration files into Realtime storage, since the Realtime
; driver will need to be loaded before the modules using those configuration
; files are initialized.
;
; An example of loading ODBC support would be:
;preload => res_odbc.so
;preload => res_config_odbc.so
;
; Uncomment the following if you wish to use the Speech Recognition API
;preload => res_speech.so
;
; If you want Asterisk to fail if a module does not load, then use
; the "require" keyword. Asterisk will exit with a status code of 2
; if a required module does not load.
;
; require = chan_sip.so
; If you want you can combine with preload
; preload-require = res_odbc.so
;
; If you want, load the GTK console right away.
;
noload => pbx_gtkconsole.so
;load => pbx_gtkconsole.so
;
load => res_musiconhold.so
;
; Load one of: chan_oss, alsa, or console (portaudio).
; By default, load chan_oss only (automatically).
;
noload => chan_alsa.so
noload => chan_oss.so
noload => chan_console.so
;

;======== Complete List of Modules.  Uncomment to Enable ========
;load => app_adsiprog.so
load => app_agent_pool.so
;load => app_alarmreceiver.so
;load => app_amd.so
load => app_authenticate.so
;load => app_bridgewait.so
;load => app_cdr.so
;load => app_celgenuserevent.so
load => app_chanisavail.so
;load => app_channelredirect.so
;load => app_chanspy.so
load => app_confbridge.so
;load => app_controlplayback.so
;load => app_db.so
load => app_dial.so
;load => app_dictate.so
load => app_directed_pickup.so
;load => app_directory.so
load => app_disa.so
;load => app_dumpchan.so
load => app_echo.so
load => app_exec.so
;load => app_externalivr.so
;load => app_festival.so
;load => app_followme.so
;load => app_forkcdr.so
;load => app_getcpeid.so
;load => app_ices.so
;load => app_image.so
;load => app_macro.so
load => app_milliwatt.so
;load => app_minivm.so
load => app_mixmonitor.so
;load => app_morsecode.so
load => app_mp3.so
;load => app_nbscat.so
load => app_originate.so
load => app_page.so
load => app_playback.so
load => app_playtones.so
;load => app_privacy.so
load => app_queue.so
;load => app_readexten.so
load => app_read.so
load => app_record.so
;load => app_sayunixtime.so
load => app_senddtmf.so
load => app_sendtext.so
;load => app_sms.so
load => app_softhangup.so
load => app_speech_utils.so
load => app_stack.so
;load => app_stasis.so
;load => app_system.so
;load => app_talkdetect.so
;load => app_test.so
load => app_transfer.so
;load => app_url.so
;load => app_userevent.so
;load => app_verbose.so
load => app_voicemail.so
load => app_waitforring.so
load => app_waitforsilence.so
load => app_waituntil.so
load => app_while.so
;load => app_zapateller.so
load => bridge_builtin_features.so
load => bridge_builtin_interval_features.so
load => bridge_holding.so
load => bridge_native_rtp.so
load => bridge_simple.so
load => bridge_softmix.so
;load => cdr_adaptive_odbc.so
load => cdr_csv.so
;load => cdr_custom.so
;load => cdr_manager.so
;load => cdr_odbc.so
;load => cdr_pgsql.so
;load => cdr_sqlite3_custom.so
;load => cdr_syslog.so
;load => cel_custom.so
;load => cel_manager.so
;load => cel_odbc.so
;load => cel_pgsql.so
;load => cel_sqlite3_custom.so
load => chan_bridge_media.so
;load => chan_iax2.so
load => chan_multicast_rtp.so
;load => chan_oss.so
;load => chan_phone.so
load => chan_pjsip.so
;load => chan_sip.so
;load => chan_skinny.so
;load => chan_unistim.so
;load => codec_adpcm.so
;load => codec_alaw.so
load => codec_a_mu.so
load => codec_g722.so
;load => codec_g726.so
load => codec_gsm.so
;load => codec_ilbc.so
;load => codec_lpc10.so
load => codec_resample.so
;load => codec_speex.so
load => codec_ulaw.so
;load => format_g719.so
;load => format_g723.so
;load => format_g726.so
;load => format_g729.so
load => format_gsm.so
;load => format_h263.so
;load => format_h264.so
;load => format_ilbc.so
;load => format_jpeg.so
load => format_ogg_vorbis.so
load => format_pcm.so
;load => format_siren14.so
;load => format_siren7.so
;load => format_sln.so
;load => format_vox.so
load => format_wav_gsm.so
load => format_wav.so
;load => func_aes.so
load => func_audiohookinherit.so
;load => func_base64.so
;load => func_blacklist.so
load => func_callcompletion.so
load => func_callerid.so
load => func_cdr.so
load => func_channel.so
;load => func_config.so
;load => func_curl.so
;load => func_cut.so
;load => func_db.so
load => func_devstate.so
load => func_dialgroup.so
;load => func_dialplan.so
;load => func_enum.so
;load => func_env.so
load => func_extstate.so
;load => func_frame_trace.so
load => func_global.so
;load => func_groupcount.so
load => func_hangupcause.so
;load => func_iconv.so
load => func_jitterbuffer.so
;load => func_lock.so
load => func_logic.so
load => func_math.so
;load => func_md5.so
;load => func_module.so
;load => func_odbc.so
;load => func_periodic_hook.so
;load => func_pitchshift.so
load => func_pjsip_aor.so
load => func_pjsip_contact.so
load => func_pjsip_endpoint.so
load => func_presencestate.so
load => func_rand.so
;load => func_realtime.so
;load => func_sha1.so
;load => func_shell.so
load => func_sorcery.so
;load => func_speex.so
;load => func_sprintf.so
;load => func_srv.so
load => func_strings.so
;load => func_sysinfo.so
load => func_talkdetect.so
load => func_timeout.so
;load => func_uri.so
;load => func_version.so
load => func_vmcount.so
load => func_volume.so
;load => pbx_ael.so
load => pbx_config.so
;load => pbx_dundi.so
load => pbx_loopback.so
;load => pbx_lua.so
;load => pbx_realtime.so
load => pbx_spool.so
load => res_adsi.so
;load => res_ael_share.so
;load => res_agi.so
;load => res_ari_applications.so
;load => res_ari_asterisk.so
;load => res_ari_bridges.so
;load => res_ari_channels.so
;load => res_ari_device_states.so
;load => res_ari_endpoints.so
;load => res_ari_events.so
;load => res_ari_model.so
;load => res_ari_playbacks.so
;load => res_ari_recordings.so
;load => res_ari.so
;load => res_ari_sounds.so
;load => res_calendar_ews.so
;load => res_calendar.so
;load => res_clialiases.so
;load => res_clioriginate.so
;load => res_config_curl.so
;load => res_config_ldap.so
;load => res_config_odbc.so
;load => res_config_pgsql.so
;load => res_config_sqlite3.so
;load => res_convert.so
;load => res_crypto.so
;load => res_curl.so
;load => res_fax.so
;load => res_fax_spandsp.so
;load => res_format_attr_celt.so
;load => res_format_attr_h263.so
;load => res_format_attr_h264.so
;load => res_format_attr_opus.so
;load => res_format_attr_silk.so
;load => res_hep_pjsip.so
;load => res_hep_rtcp.so
;load => res_hep.so
;load => res_http_websocket.so
load => res_limit.so
load => res_manager_devicestate.so
load => res_manager_presencestate.so
;load => res_monitor.so
load => res_musiconhold.so
load => res_mutestream.so
;load => res_odbc.so
load => res_parking.so
;load => res_phoneprov.so
load => res_pjsip_acl.so
load => res_pjsip_authenticator_digest.so
load => res_pjsip_caller_id.so
load => res_pjsip_config_wizard.so
load => res_pjsip_dialog_info_body_generator.so
load => res_pjsip_diversion.so
;;;;load => res_pjsip_dlg_options.so
load => res_pjsip_dtmf_info.so
load => res_pjsip_endpoint_identifier_anonymous.so
load => res_pjsip_endpoint_identifier_ip.so
load => res_pjsip_endpoint_identifier_user.so
load => res_pjsip_exten_state.so
load => res_pjsip_header_funcs.so
load => res_pjsip_keepalive.so
load => res_pjsip_log_forwarder.so
load => res_pjsip_logger.so
load => res_pjsip_messaging.so
load => res_pjsip_multihomed.so
load => res_pjsip_mwi_body_generator.so
load => res_pjsip_mwi.so
load => res_pjsip_nat.so
load => res_pjsip_notify.so
;load => res_pjsip_one_touch_record_info.so
load => res_pjsip_outbound_authenticator_digest.so
load => res_pjsip_outbound_publish.so
load => res_pjsip_outbound_registration.so
load => res_pjsip_path.so
;load => res_pjsip_phoneprov_provider.so
load => res_pjsip_pidf_body_generator.so
load => res_pjsip_pidf_digium_body_supplement.so
load => res_pjsip_pidf_eyebeam_body_supplement.so
load => res_pjsip_publish_asterisk.so
load => res_pjsip_pubsub.so
load => res_pjsip_refer.so
load => res_pjsip_registrar_expire.so
load => res_pjsip_registrar.so
load => res_pjsip_rfc3326.so
load => res_pjsip_sdp_rtp.so
load => res_pjsip_send_to_voicemail.so
load => res_pjsip_session.so
load => res_pjsip_sips_contact.so
load => res_pjsip.so
load => res_pjsip_t38.so
;load => res_pjsip_transport_websocket.so
;load => res_pjsip_xpidf_body_generator.so
;load => res_realtime.so
load => res_rtp_asterisk.so
load => res_rtp_multicast.so
load => res_security_log.so
;load => res_smdi.so
;load => res_snmp.so
load => res_sorcery_astdb.so
load => res_sorcery_config.so
load => res_sorcery_memory.so
;load => res_sorcery_realtime.so
load => res_speech.so
;load => res_srtp.so
;load => res_stasis_answer.so
;load => res_stasis_device_state.so
;load => res_stasis_playback.so
;load => res_stasis_recording.so
;load => res_stasis_snoop.so
;load => res_stasis.so
;load => res_statsd.so
load => res_stun_monitor.so
;load => res_timing_pthread.so
load => res_timing_timerfd.so


